M_ActivitySmashEggCFG = {}

function M_ActivitySmashEggCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivitySmashEggCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, EggName = "金蛋", HammerId = 217, HammerCount = 10, IntegralId = 218, IntegralCount = 10}
	self.datas[2] = {ID = 2, EggName = "银弹", HammerId = 217, HammerCount = 5, IntegralId = 218, IntegralCount = 5}
	self.datas[3] = {ID = 3, EggName = "铜蛋", HammerId = 217, HammerCount = 1, IntegralId = 218, IntegralCount = 1}
end

M_ActivitySmashEggCFG:init()
